2017-12-15 23:42 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002778OpenFOAM[All Projects] Bugpublic2017-12-03 11:53
Reporterayubsulong 
Assigned Tochris 
PriorityhighSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Platformubuntu 16.04.2 LTSOSMAC OS OS VersionHigh Sierra
Product Version5.0 
Target VersionFixed in Version 
Summary0002778: OpenFOAM-5.0 On Mac: "ParaView is not in the Docker container. Install on the host machine or run the launch script"
DescriptionHi Foamers,

First of all, I am new to OpenFoam. Nevertheless, pretty familiar with off the shelf numerical softwares.

I installed version 5.0 and follow the instruction there (https://openfoam.org/download/5-0-macos/). And yes, docker is the way to go with it.

It seems like everything works, blockMesh, icoFoam and all, but typing paraFoam gives me the above message. Basically I could not view my model. I install paraview and tried a few different version, but to no avail. The current paraview version is 5.4.0.

I also tried touch whatever.foam, and try to execute paraview. This suggestion from other thread does not work for me. The file created (whatever.foam), but calling paraFoam does not make the cut.
Steps To ReproduceLast login: Sat Dec 2 11:37:00 on ttys002
Drs-MacBook-Air:~ ayubsulong$ openfoam5-macos -d /Users/ayubsulong/OpenFOAM/ayubsulong-4.1
Launching /usr/local/bin/openfoam5-macos
User: "ayubsulong" (ID 501, group ID 20)
xhost: unable to open display ""
Welcome to the OpenFOAM v5 Docker Image

Provides bash terminal with OpenFOAM 5.0 and some graphical applications

Produced and maintained by CFD Direct (http://cfd.direct), on behalf of the
OpenFOAM Foundation (http://openfoam.org), the owner and distributor of
OpenFOAM as free, open source software under the General Public Licence v3.

Further Resources:
* OpenFOAM User Guide: http://cfd.direct/openfoam/user-guide
* C++ Source Guide: http://cpp.openfoam.org
* OpenFOAM Training: http://cfd.direct/openfoam-training
* Running in the Cloud: http://cfd.direct/cloud
* Issue (Bug) Reporting: http://bugs.openfoam.org
* Subscribe to Newsletter: http://cfd.direct/news
* Contributors to OpenFOAM: http://openfoam.org/dev/contributors

OpenFOAM-5.0(11) docker ps -a
bash: docker: command not found
OpenFOAM-5.0(12) ls
foo.foam issue_tracking openfoam_start.rtf run
OpenFOAM-5.0(13) paraFoam
ParaView is not in the Docker container. Install on the host machine or run the launch script with -p option
OpenFOAM-5.0(14) apt-cache policy openfoam5
openfoam5:
  Installed: 20171030
  Candidate: 20171030
  Version table:
 *** 20171030 100
        100 /var/lib/dpkg/status
OpenFOAM-5.0(15) cat /etc/os-release
NAME="Ubuntu"
VERSION="16.04.2 LTS (Xenial Xerus)"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 16.04.2 LTS"
VERSION_ID="16.04"
HOME_URL="http://www.ubuntu.com/"
SUPPORT_URL="http://help.ubuntu.com/"
BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"
VERSION_CODENAME=xenial
UBUNTU_CODENAME=xenial
OpenFOAM-5.0(16) paraFoam
ParaView is not in the Docker container. Install on the host machine or run the launch script with -p option
Tagsparaview
Attached Files

-Relationships
+Relationships

-Notes

~0009117

chris (manager)

Did you read the instructions that say to include ParaView you need to use the "-p" option in the script?:
https://openfoam.org/download/5-0-macos/#running

~0009118

ayubsulong (reporter)

Thanks Chris,

Yes I did. "command not found" is what it says..

Last login: Sat Dec 2 22:33:21 on ttys001
Drs-MacBook-Air:~ ayubsulong$ openfoam5-macos -d /Users/ayubsulong/OpenFOAM/ayubsulong-4.1
Launching /usr/local/bin/openfoam5-macos
User: "ayubsulong" (ID 501, group ID 20)
xhost: unable to open display ""
Welcome to the OpenFOAM v5 Docker Image

Provides bash terminal with OpenFOAM 5.0 and some graphical applications

Produced and maintained by CFD Direct (http://cfd.direct), on behalf of the
OpenFOAM Foundation (http://openfoam.org), the owner and distributor of
OpenFOAM as free, open source software under the General Public Licence v3.

Further Resources:
* OpenFOAM User Guide: http://cfd.direct/openfoam/user-guide
* C++ Source Guide: http://cpp.openfoam.org
* OpenFOAM Training: http://cfd.direct/openfoam-training
* Running in the Cloud: http://cfd.direct/cloud
* Issue (Bug) Reporting: http://bugs.openfoam.org
* Subscribe to Newsletter: http://cfd.direct/news
* Contributors to OpenFOAM: http://openfoam.org/dev/contributors

OpenFOAM-5.0(11) cd $HOME/openfoam
bash: cd: /home/openfoam/openfoam: No such file or directory
OpenFOAM-5.0(12) openfoam5-macos -p
bash: openfoam5-macos: command not found

~0009119

wyldckat (updater)

@ayubsulong: The '-p' option is meant to be used in the first call (for starting the container), namely where you have this:

   Drs-MacBook-Air:~ ayubsulong$ openfoam5-macos -d /Users/ayubsulong/OpenFOAM/ayubsulong-4.1

You should instead have this:

   Drs-MacBook-Air:~ ayubsulong$ openfoam5-macos -p -d /Users/ayubsulong/OpenFOAM/ayubsulong-4.1


Notice the '-p' option in there.

~0009120

ayubsulong (reporter)

I added -p now on launch, it seems like something is downloading.. :) However, A new error comes up. How do I fix X server connection?

--

OpenFOAM-5.0(16) paraFoam
Created temporary 'pitzDaily.OpenFOAM'
paraview: cannot connect to X server 172.20.10.4:0

--

Last login: Sat Dec 2 22:44:25 on ttys001
Drs-MacBook-Air:~ ayubsulong$ openfoam5-macos -p -d /Users/ayubsulong/OpenFOAM/ayubsulong-4.1
Launching /usr/local/bin/openfoam5-macos
User: "ayubsulong" (ID 501, group ID 20)
xhost: unable to open display ""
Unable to find image 'openfoam/openfoam5-paraview54:latest' locally
latest: Pulling from openfoam/openfoam5-paraview54
bd97b43c27e3: Already exists
6960dc1aba18: Already exists
2b61829b0db5: Already exists
1f88dc826b14: Already exists
73b3859b1e43: Already exists
bc58c9e7c737: Already exists
e0a2212b937d: Already exists
48b55d3f0597: Already exists
692bde65d802: Already exists
254a0eeb48e7: Already exists
733c3621b055: Pull complete
526f77bb2ef3: Downloading 34.01MB/139.1MB
63075fd2f248: Download complete
9b42cce51b24: Download complete
50b0ebcbc307: Download complete
d1946d28c6d4: Download complete

~0009121

ayubsulong (reporter)

@wyldckat thank you so very much. I just learned that. Now X server connection error arises? How do i Fix this?

~0009122

wyldckat (updater)

Did you follow the instructions given in section "Step 4: Enabling Graphical Applications (optional, recommended)" ??

~0009123

ayubsulong (reporter)

Hi @wyldckat, finally I've got paraView window popped up. I followed step 4 in its entirety, but this time around I execute the program. All these while, I did not open the program and just enter my command on terminal.

It seems like a while to load the rendering? still waiting "legacy rendering backend." On terminal, there are 2 libGL errors.

libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: swrast

~0009124

wyldckat (updater)

Please read and follow the comments in report #2587: https://bugs.openfoam.org/view.php?id=2587 - and let us know what you get from each suggestion.

~0009125

chris (manager)

Does an issue exist here where the macOS installation does not function according to expectations set on the web page?:
https://openfoam.org/download/5-0-macos/

If not, the issue should be closed.

~0009126

ayubsulong (reporter)

Hi @chris and helpful @wyldckat, thanks a bunch for your help. My OpenFoam actually working. Sorry for the delay of this reply since I was immersed with the tutorial.

I don't think these are major issues:

libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: swrast

What can I understood from it simply because macbook air don't have nVidia graphic card. But, opening paraView is just OK. Macbook air just came with Intel HD graphics in it.

My solution for this is, I need to open both Xquartz and VirtualBox, otherwise the paraView could not be loaded eventhough a loud sound of memory processing can be heard from my machine.

Yep Chris, this thread can be considered solved.

Thanks again!

~0009127

chris (manager)

Reporter confirmed install is OK.
+Notes

-Issue History
Date Modified Username Field Change
2017-12-02 04:41 ayubsulong New Issue
2017-12-02 04:41 ayubsulong Tag Attached: paraview
2017-12-02 09:10 henry Summary [OpenFOAM plus] [v5.0+] On Mac: "ParaView is not in the Docker container. Install on the host machine or run the launch script" => OpenFOAM-5.0 On Mac: "ParaView is not in the Docker container. Install on the host machine or run the launch script"
2017-12-02 12:37 chris Note Added: 0009117
2017-12-02 14:38 ayubsulong Note Added: 0009118
2017-12-02 14:51 wyldckat Note Added: 0009119
2017-12-02 14:55 ayubsulong Note Added: 0009120
2017-12-02 14:57 ayubsulong Note Added: 0009121
2017-12-02 16:01 wyldckat Note Added: 0009122
2017-12-02 16:26 ayubsulong Note Added: 0009123
2017-12-02 17:01 wyldckat Note Added: 0009124
2017-12-02 22:48 chris Note Added: 0009125
2017-12-03 03:49 ayubsulong Note Added: 0009126
2017-12-03 11:53 chris Assigned To => chris
2017-12-03 11:53 chris Status new => closed
2017-12-03 11:53 chris Resolution open => fixed
2017-12-03 11:53 chris Note Added: 0009127
+Issue History